

import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaColors.dart';
import 'package:geideadesignframework/style_config.dart';

class GedieaAppBar extends StatefulWidget implements PreferredSizeWidget {
  GedieaAppBar(
      {Key key,
      this.centerTitle = true,
      this.title,
      this.backgroundColor,
      this.actionList,
      this.leading,
      this.textColor,
      this.borderBottomHeight = 0.0,
      this.borderBottomColor})
      : preferredSize = Size.fromHeight(kToolbarHeight),
        super(key: key);

  final Size preferredSize; // default is 56.0
  final String title;
  final  backgroundColor;
  final bool centerTitle;
  final List<Widget> actionList;
  final Widget leading;
  final Color textColor;
  final Color borderBottomColor;
  final double borderBottomHeight;

  @override
  _GedieaAppBarState createState() => _GedieaAppBarState();
}

class _GedieaAppBarState extends State<GedieaAppBar> {
  @override
  Widget build(BuildContext context) {
    return AppBar(
      centerTitle: widget.centerTitle,
      // Here we take the value from the MyHomePage object that was created by
      // the App.build method, and use it to set our appbar title.
      actions: widget.actionList,
      leading: widget.leading,
      title: Text(widget.title,
          style: TextStyle(fontFamily: styleConfig.fontFamily, color: widget.textColor ?? styleConfig.theme.canvasColor)),
      backgroundColor: widget.backgroundColor ??  styleConfig.theme.primaryColor,
      elevation: 0.0,
      bottom: PreferredSize(
          child: Container(color: widget.borderBottomColor ?? styleConfig.theme.primaryColor, height: widget.borderBottomHeight),
          preferredSize: Size.fromHeight( widget.borderBottomHeight)
      ),
    );
  }
}
