

import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaColors.dart';
import 'package:geideadesignframework/style_config.dart';

class GeideaIcon extends StatefulWidget {
  GeideaIcon(
      {Key key, this.name = 'home', this.size, this.color = Colors.black})
      : super(key: key);

  final String name;
  final double size;
  final Color color;

  @override
  _GeideaIconState createState() => _GeideaIconState();
}

class _GeideaIconState extends State<GeideaIcon> {
  Map<String, IconData> iconsNames = {
    'about': const IconData(0Xe900, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'balances': const IconData(0Xe901, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'calendar': const IconData(0Xe902, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'card': const IconData(0Xe903, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'cash': const IconData(0Xe904, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'cash-drawer': const IconData(0Xe905, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'cash-drawer-end' : const IconData(0Xe906, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'cash-drawer-start': const IconData(0Xe907, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'contracts': const IconData(0Xe908, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'customers': const IconData(0Xe909, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'drawer-history': const IconData(0Xe90a, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'e-invoice': const IconData(0Xe90b, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'find-device': const IconData(0Xe90c, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'goods': const IconData(0Xe90d, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'home': const IconData(0Xe90e, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'more': const IconData(0Xe911, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'orders': const IconData(0Xe912, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'point-of-sale': const IconData(0Xe915, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'reconcilliation': const IconData(0Xe916, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'settings': const IconData(0Xe919, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'support': const IconData(0Xe91a, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'reporting': const IconData(0Xe917, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'tranactions': const IconData(0Xe91b, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'transaction-history': const IconData(0Xe91c, fontFamily: 'icomoon',fontPackage: 'geideadesignframework'),
    'website': const IconData(0Xe91d, fontFamily: 'icomoon',fontPackage: 'geideadesignframework')
  };

  @override
  void initState() {
    super.initState();
  }


  @override
  Widget build(BuildContext context) {
    return Icon(
      iconsNames[widget.name],
      color: widget.color ?? styleConfig.theme.accentColor,
      size: widget.size ?? styleConfig.iconSize,
    );
  }
}
