import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaColors.dart';
import 'package:geideadesignframework/style_config.dart';

class GeideaPrimaryButtonOutlined extends StatefulWidget {
  GeideaPrimaryButtonOutlined(
      {Key key,
      this.text,
      this.onPressed,
      this.preTextWidget,
      this.postTextWidget,
      this.padding,
      this.textColor,
      this.borderColor,
      this.fontWeight = FontWeight.normal,
      this.borderRadius,
      this.fontSize,
      this.borderWidth})
      : super(key: key);

  final String text;
  final VoidCallback onPressed;
  final Widget preTextWidget;
  final Widget postTextWidget;
  final Color textColor;
  final EdgeInsets padding;
  final Color borderColor;
  final FontWeight fontWeight;
  final double borderRadius;
  final double fontSize;
  final double borderWidth;

  @override
  _SecondaryButtonState createState() => _SecondaryButtonState();
}

class _SecondaryButtonState extends State<GeideaPrimaryButtonOutlined> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: FlatButton(
        shape: RoundedRectangleBorder(
            side: BorderSide(
                color: widget.borderColor ?? styleConfig.theme.primaryColor,
                width: widget.borderWidth ?? styleConfig.borderWidth,
                style: BorderStyle.solid),
            borderRadius: BorderRadius.circular(widget.borderRadius ?? styleConfig.borderRadius)),
        color: Colors.transparent ?? styleConfig.theme.canvasColor,
        padding: widget.padding ?? styleConfig.padding,
        onPressed: widget.onPressed,
        child:
            Row(mainAxisAlignment: MainAxisAlignment.center, children: <Widget>[
          widget.preTextWidget == null ? Container() : widget.preTextWidget,
          Text(
            widget.text,
            style: TextStyle(
                fontFamily: styleConfig.fontFamily,
                fontSize: widget.fontSize ?? styleConfig.getFontSize('button'),
                color: widget.textColor ?? styleConfig.theme.primaryColor,
                fontWeight: widget.fontWeight),
          ),
          widget.postTextWidget == null ? Container() : widget.postTextWidget,
        ]),
      ),
    );
  }
}
