

import 'package:flutter/material.dart';
import 'package:geideadesignframework/style_config.dart';

class GeideaSecondaryButton extends StatefulWidget {
  GeideaSecondaryButton({Key key,
    this.text,
    this.onPressed,
    this.disabled = false,
    this.preTextWidget,
    this.postTextWidget,
    this.textColor,
    this.backgroundColor,
    this.disabledColor,
    this.borderRadius ,
    this.fontSize ,
    this.borderWidth,
    this.padding
  })
      : super(key: key);

  final String text;
  final bool disabled;
  final VoidCallback onPressed;
  final Widget preTextWidget;
  final Widget postTextWidget;
  final Color textColor;
  final Color backgroundColor;
  final Color disabledColor;
  final double borderRadius;
  final double fontSize;
  final double borderWidth;
  final EdgeInsets padding;
  @override
  _GeideaSecondaryButtonState createState() => _GeideaSecondaryButtonState();
}

class _GeideaSecondaryButtonState extends State<GeideaSecondaryButton> {
  bool _isButtonDisabled;

  @override
  void initState() {
    _isButtonDisabled = widget.disabled;
  }

  void _disableButton() {
    setState(() {
      _isButtonDisabled = true;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: RaisedButton(
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(widget.borderRadius ?? styleConfig.borderRadius)),
        textColor: widget.textColor ?? styleConfig.theme.canvasColor,
        color: widget.backgroundColor ?? styleConfig.theme.cursorColor,
        disabledColor: widget.disabledColor ?? styleConfig.theme.cursorColor,
        disabledTextColor: widget.textColor ?? styleConfig.theme.canvasColor,
        padding: widget.padding ?? styleConfig.padding,
        onPressed: _isButtonDisabled == true ? null : widget.onPressed,
        child: Row(mainAxisAlignment: MainAxisAlignment.center, children: <Widget>[
          widget.preTextWidget == null ? Container() : widget.preTextWidget,
          Text(
            widget.text,
            style: TextStyle(
              fontFamily: styleConfig.fontFamily,
              fontSize: widget.fontSize ?? styleConfig.getFontSize('button'),
            ),
          ),
          widget.postTextWidget == null ? Container() : widget.postTextWidget,
        ]),
      ),
    );
  }
}
