

import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaColors.dart';
import 'package:geideadesignframework/style_config.dart';

class GeideaToggleButtons extends StatefulWidget {
  GeideaToggleButtons(
      {Key key,
        @required this.items,
        this.borderColor,
        this.backgroundColor,
        this.fontColor,
        this.selectedFontColor,
        this.fontSize = 14.0,
        this.textAlign,
        this.paddingVertical = 0.0,
        this.paddingHorizontal = 10.0,
        this.borderRadius = 50.0})
      : super(key: key);

  final items;
  final Color borderColor;
  final Color backgroundColor;
  final Color fontColor;
  final Color selectedFontColor;
  final double fontSize;
  final double paddingVertical;
  final double paddingHorizontal;
  final TextAlign textAlign;
  final double borderRadius;

  @override
  _GeideaToggleButtonsState createState() => _GeideaToggleButtonsState();
}

class _GeideaToggleButtonsState extends State<GeideaToggleButtons> {
//  List<bool> isSelected = [];
//  List<Widget> children = <Widget>[];
  List<bool> checkValues;

  @override
  void initState() {
    super.initState();
    checkValues = List.generate(
        widget.items.length, (index) => widget.items[index]['checked']);
  }

  @override
  Widget build(BuildContext context) {
    final children = widget.items
        .map<Widget>((value) => GestureDetector(
        onTap: value['onTap'],
        child: Padding(
          padding: EdgeInsets.symmetric(
              horizontal: widget.paddingHorizontal,
              vertical: widget.paddingVertical),
          child: Text(
            value['text'],
            style: TextStyle(
              fontSize: widget.fontSize,
              fontFamily: styleConfig.fontFamily,
            ),
          ),
        )))
        .toList();
    return ToggleButtons(
      borderColor: widget.borderColor ?? styleConfig.theme.primaryColor,
      fillColor: widget.backgroundColor ?? styleConfig.theme.primaryColor,
      borderWidth: 1,
      selectedBorderColor:
      widget.backgroundColor ?? styleConfig.theme.primaryColor,
      selectedColor: widget.selectedFontColor ?? styleConfig.theme.canvasColor,
      borderRadius: BorderRadius.circular(widget.borderRadius),
      children: children,
      isSelected: checkValues,
      onPressed: (int index) {
        setState(() {
          checkValues = List.generate(widget.items.length, (index) => false);
          checkValues[index] = !checkValues[index];
        });
      },
    );
  }
}
