import 'package:flutter/material.dart';

import 'package:geideadesignframework/gediea_app_bar.dart';
import 'package:geideadesignframework/gediea_app_drawer.dart';
import 'package:geideadesignframework/geidea_toggle_buttons.dart';
import 'package:geideadesignframework/geidea_primary_button.dart';
import 'package:geideadesignframework/geidea_secondary_button.dart';
import 'package:geideadesignframework/monstserrat_text.dart';
import 'package:geideadesignframework/geidea_primary_button_outlines.dart';
import 'package:geideadesignframework/geidea_secondary_button_outlines.dart';
import 'package:geideadesignframework/style_config.dart';
import 'package:geideadesignframework/text_field.dart';
import 'package:geideadesignframework/GeideaColors.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Geidea Demo',
      color: GeideaColors.orange[500],
      theme: styleConfig.theme,
      home: MyHomePage(title: 'Geidea Design Framework'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  // This widget is the home page of your application. It is stateful, meaning
  // that it has a State object (defined below) that contains fields that affect
  // how it looks.

  // This class is the configuration for the state. It holds the values (in this
  // case the title) provided by the parent (in this case the App widget) and
  // used by the build method of the State. Fields in a Widget subclass are
  // always marked "final".

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  GlobalKey<ScaffoldState> _drawerKey = GlobalKey();

  @override
  Widget build(BuildContext context) {
    // This method is rerun every time setState is called, for instance as done
    // by the _incrementCounter method above.
    //
    // The Flutter framework has been optimized to make rerunning build methods
    // fast, so that you can just rebuild anything that needs updating rather
    // than having to individually change instances of widgets.
    return Scaffold(
      key: _drawerKey, // assign key to Scaffold

      appBar: GedieaAppBar(
        title: widget.title,
        leading: IconButton(
          icon: Icon(Icons.menu, color: Colors.white),
          onPressed: () {
            _drawerKey.currentState.openDrawer();
          },
        ),
      ),
      drawer: GedieaAppDrawer(
          color: Colors.white,
          fontSize: 20.0,
          iconSize: 30,
          paddingVertical: 15.0,
          paddingHorizontal: 40.0,
          items: [
            {'iconName': 'home', 'text': 'Home', 'onTap': () {}},
            {'iconName': 'cash-drawer', 'text': 'Cash Drawer', 'onTap': () {}},
            {
              'iconName': 'drawer-history',
              'text': 'Payout History',
              'onTap': () {}
            },
            {
              'iconName': 'transaction-history',
              'text': 'Transaction History',
              'onTap': () {}
            },
            {'iconName': '', 'text': 'Social Media Template', 'onTap': () {

            }},
            {'iconName': '', 'text': 'Booking Template', 'onTap': () {

            }},
          ]),
      body: Center(
        // Center is a layout widget. It takes a single child and positions it
        // in the middle of the parent.
        child: SingleChildScrollView(
          child: Column(
            // Column is also a layout widget. It takes a list of children and
            // arranges them vertically. By default, it sizes itself to fit its
            // children horizontally, and tries to be as tall as its parent.
            //
            // Invoke "debug painting" (press "p" in the console, choose the
            // "Toggle Debug Paint" action from the Flutter Inspector in Android
            // Studio, or the "Toggle Debug Paint" command in Visual Studio Code)
            // to see the wireframe for each widget.
            //
            // Column has various properties to control how it sizes itself and
            // how it positions its children. Here we use mainAxisAlignment to
            // center the children vertically; the main axis here is the vertical
            // axis because Columns are vertical (the cross axis would be
            // horizontal).
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              Padding(
                padding: EdgeInsets.symmetric(vertical: 40),
                child: GeideaToggleButtons(items: [
                  {'text': 'Sales Support', 'checked': true, 'onTap': () {}},
                  {'text': 'Success Report', 'checked': false, 'onTap': () {}},
                  {'text': 'Summary', 'checked': false, 'onTap': () {}}
                ]),
              ),
              Padding(
                padding: EdgeInsets.symmetric(vertical: 40),
                child:
                    MonstserratText(text: 'Geidea Text Widget', fontSize: 22.0),
              ),
              Padding(
                padding: EdgeInsets.symmetric(horizontal: 20, vertical: 40),
                child: GeideaTextField(label: 'Geidea Text Widget'),
              ),
              Padding(
                  padding: EdgeInsets.symmetric(horizontal: 20),
                  child: GeideaPrimaryButton(
                    text: 'Go to Secondary Screen',
                    onPressed: () => {

                    },
                    disabled: false,
                  )),
              Padding(
                  padding: EdgeInsets.symmetric(horizontal: 20),
                  child: GeideaSecondaryButton(
                    text: 'Go to Secondary Screen',
                    onPressed: () => {

                    },
                    disabled: false,
                  )),
              Padding(
                  padding: EdgeInsets.symmetric(horizontal: 20),
                  child: GeideaPrimaryButtonOutlined(
                    text: 'Go to Secondary Screen',
                    onPressed: () => {

                    },
                  )),
              Padding(
                  padding: EdgeInsets.symmetric(horizontal: 20),
                  child:GeideaSecondaryButtonOutlined(
                    text: 'Go to Secondary Screen',
                    onPressed: () => {
                    },
                  )),
            ],
          ),
        ),
      ),
    );
  }
}
