

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class GeideaTextField extends StatefulWidget {
  GeideaTextField({Key key,
    @required this.label,
    this.hint,
    this.onChanged,
    this.disabled,
    this.icon
  })
      : super(key: key);

  final String label;
  final String hint;
  final bool disabled;
  final VoidCallback onChanged;
  final Icon icon;

  @override
  _GeideaTextFieldState createState() => _GeideaTextFieldState();
}

class _GeideaTextFieldState extends State<GeideaTextField> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: TextFormField(
        keyboardType: TextInputType.number,
        inputFormatters: <TextInputFormatter>[
          WhitelistingTextInputFormatter.digitsOnly
        ],
        decoration: InputDecoration(
            labelText: widget.label,
            hintText: widget.hint,
            icon: widget.icon
        ),
      ),
    );
  }
}
